Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.triangulate
Class VertexTaggedGeometryDataMapper

    java.lang.Object
      com.vividsolutions.jts.triangulate.VertexTaggedGeometryDataMapper

    public class VertexTaggedGeometryDataMapper

extends java.lang.Object

Creates a map between the vertex `Coordinate`s of a set of `Geometry`s, and the parent geometry, and transfers the source geometry data objects to geometry components tagged with the coordinates.

This class can be used in conjunction with `VoronoiDiagramBuilder` to transfer data objects from the input site geometries to the constructed Voronoi polygons.

Author:
  Martin Davis
See Also:
  `VoronoiDiagramBuilder`

Constructor Summary
`VertexTaggedGeometryDataMapper()`

Method Summary
`java.util.List` | `getCoordinates()`
`void` | `loadSourceGeometries(java.util.Collection geoms)`
`void` | `loadSourceGeometries(Geometry geomColl)`
`void` | `transferData(Geometry targetGeom)` Input is assumed to be a multiGeometry in which every component has its userData set to be a Coordinate which is the key to the output data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VertexTaggedGeometryDataMapper

    public VertexTaggedGeometryDataMapper()

Method Detail

### loadSourceGeometries

    public void loadSourceGeometries(java.util.Collection geoms)

### loadSourceGeometries

    public void loadSourceGeometries(Geometry geomColl)

### getCoordinates

    public java.util.List getCoordinates()

### transferData

    public void transferData(Geometry targetGeom)

  Input is assumed to be a multiGeometry in which every component has its userData set to be a Coordinate which is the key to the output data. The Coordinate is used to determine the output data object to be written back into the component.

  Parameters:
    `targetGeom` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD